Bug 30817 - mcedit В графическом режиме не сохраняет и не восстанавливает отмеченный текст.
: mcedit В графическом режиме не сохраняет и не восстанавливает отмеченный текст.
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/mc)
: unstable
: all Linux
: P3 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2015-03-08 09:22 by
Modified: 2015-03-27 14:35 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2015-03-08 09:22:41
Графическая среда - TDE (KDE3)

1. В текстовом терминале - всё нормально. Помечаю через F3 начало  и конец
текста,  Далее меню -> меню, правка копировать (или вырезать) в файл буфера
обмена, потом перехожу на строчку ниже - и опять через меню вставляю строчку из
файла буфера обмена.

2. В графике
- вырезает, но не известно куда (лучше-бы он этого не делал). Вставить через
меню уже не получается.
- если в файле буфера обмена что-то уже есть - появляется какой-то "артефакт" -
на экране появляется "/home/wri" (у меня пользователь /home/writer). но это не
вставка, а обрывок какого-то сообщения).

PS А в каком файле он хранит буфер обмена? Может при входе в графику не
устанавливаются какие-то переменные среды? 

PPS на работе, в другом Linux эти-же операции работают нормально.
------- Comment #1 From 2015-03-09 12:57:43 -------
Похоже ?
http://www.midnight-commander.org/ticket/3339
------- Comment #2 From 2015-03-09 13:27:45 -------
Посмотрел через кэш google,  да, похоже, ещё заметил. что при неудачной вставке
из буфера, файл буфера становится пустым.

PS: Что-то не так с этим сайтом:
$ nslookup midnight-commander.org 8.8.4.4
Server:         8.8.4.4
Address:        8.8.4.4#53
------- Comment #3 From 2015-03-09 14:54:00 -------
(In reply to comment #2)

> PS: Что-то не так с этим сайтом:
> $ nslookup midnight-commander.org 8.8.4.4

У меня работает. Это с гугледнс что-то не то, а все DNS зоны (которые whois
показывает) информацию отдают нормальную.
------- Comment #4 From 2015-03-09 15:03:09 -------
> У меня работает. Это с гугледнс что-то не то, а все DNS зоны (которые whois
> показывает) информацию отдают нормальную.
Понятно, если-бы dns моего провайдера то-же ловил давал IP, я-бы и не заметил.
Подключил DNS от yandex, всё заработало.
------- Comment #5 From 2015-03-09 15:08:30 -------
В общем, судя по количеству написанного на
http://www.midnight-commander.org/wiki/NEWS-4.8.14 , релиз 4.8.14 не за горами.
Как выйдет, соберу.
------- Comment #6 From 2015-03-15 21:15:06 -------
Кстати, в p7 эта бага у меня не воспроизводится.
------- Comment #7 From 2015-03-24 21:31:49 -------
К сожалению, новая версия не помогла :(
------- Comment #8 From 2015-03-24 22:06:09 -------
Файл-буфер сейчас живёт тут: ~/.local/share/mc/mcedit/mcedit.clip

У меня в 4.8.14-alt1 не воспроизводится. Сделал файл, написал несколько строк,
вырезал, вставил. Может, от объёма файла зависит ? Систему себе делал из
стартеркита sysv-tde год назад. Какие переменные могут влиять, даже не знаю. У
меня только MC_XDG_OPEN="/bin/false" задана. Когда mc запускается, появляются
ещё MC_SID и MC_TMPDIR, но я не представляю, как они влиять могут.
------- Comment #9 From 2015-03-24 22:19:08 -------
$ env | grep -i mc
....
MC_TMPDIR=/tmp/.private/writer/mc-writer
PWD=/home/writer/.local/share/mc/mcedit
MC_SID=6385
....
------- Comment #10 From 2015-03-24 22:36:36 -------
Ну сдвиг небольшой есть.

Берешь файл, набираешь текст, сохраняешь его, и тогда он начинвет из
сохранённого кидать в буфер обмена, а вот обратно никак - просто стирает
содержимое файла буфера обмена, а ничего не вставляется.

У меня правда systemd, но не думаю. что он тут при чём.
------- Comment #11 From 2015-03-25 05:44:45 -------
Сегодня с утра, после включения компа, всё заработало. Видно что-то на уровне
системы мешало. Вчера я честно выходил из сеанса пользователя, перезагружал
X-ы, но ничто не помогало. Правда не перезагружался - комп был занят работой :)

Сергей - вы у баги сделайте assigned и fixed, что-бы я мог закрыть багу
(closed), а то у неё по-прежнему статус  new.

PS Спасибо.
------- Comment #12 From 2015-03-25 08:50:46 -------
будем считать, что fixed
------- Comment #13 From 2015-03-27 14:35:38 -------
Не фиксировал.